Visualizzazione risultati 1 fino 8 di 8

Discussione: htaccess vecchie versioni

  1. #1
    personalthings non è connesso Utente giovane
    Data registrazione
    10-08-2013
    Messaggi
    41

    Predefinito htaccess vecchie versioni

    Ciao ragazzi,
    ho un vecchio sito vintage che gira su PHP 4 e da questa mattina ha smesso di funzionare tutto, dandomi errori come:

    Call to undefined function import_request_variables()
    a causa di questo:

    Codice PHP:
        import_request_variables('gpc'); 
    o questo errore:

    Call to undefined function session_register()
    a causa della presenza delle session_register

    Siccome fino a ieri funzionava tutto, è forse probabile che altervista non regga più PHP 4, nonostante la presenza della riga

    AddHandler av-php4 .php
    nell'htaccess?

    E' possibile tornare a usare quella versione?

  2. #2
    mzanella non è connesso AlterGuru
    Data registrazione
    29-12-2015
    Messaggi
    1,880

    Predefinito

    PHP 4 non esiste più da 12 anni, nel senso che gli sviluppatori stessi di PHP lo hanno terminato.
    Ti conviene aggiornare il codice a PHP 7, in ogni caso non è possibile tornare indietro.

    I suggerimenti che do più spesso:


  3. #3
    personalthings non è connesso Utente giovane
    Data registrazione
    10-08-2013
    Messaggi
    41

    Predefinito

    Cambio formulazione della domanda: considerando che fino a ieri funzionava, nonostante PHP 4 non esista più da 12 anni, è possibile tornare a usare tutte quelle funzionalità ormai deprecate?
    Il pezzo

    AddHandler av-php4 .php

    non serviva proprio a questo?

  4. #4
    mzanella non è connesso AlterGuru
    Data registrazione
    29-12-2015
    Messaggi
    1,880

    Predefinito

    In breve, no, non è possibile.

    Qualche dettaglio in più: il pezzo di .htaccess che hai indicato serviva sì a quello scopo, ma non è possibile inserire una versione arbitraria di PHP. I valori che è possibile utilizzare sono documentati nella Wiki di AlterVista. PHP 4 è stato rimosso dall'elenco il 15 febbraio 2016.

    Riguardo al "fino a ieri funzionava": quando una versione di PHP raggiunge la fine del suo ciclo di vita [AlterVista la mantiene qualche anno in più per dare tempo agli sviluppatori di aggiornare il codice, comunque] non significa che le vecchie applicazioni smettano istantaneamente di funzionare, entrano piuttosto in uno stato in cui non ne è garantito il funzionamento. Tanto per fare un esempio può darsi che PHP 4 sia rimasto installato nel server e ieri notte qualcuno abbia detto "facciamo pulizia e togliamolo, tanto non lo supportiamo più da 4 anni".

    I suggerimenti che do più spesso:


  5. #5
    L'avatar di alemoppo
    alemoppo non è connesso Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    18,603

    Predefinito

    Aggiungo che da questa mattina è stato rimosso su AlterVista anche php5.3 (del 2009!), quindi attualmente la versione più vecchia utilizzabile è php5.6.

    Ciao!

  6. #6
    Sigilonline non è connesso Neofita
    Data registrazione
    12-04-2009
    Messaggi
    29

    Predefinito

    Citazione Originalmente inviato da alemoppo Visualizza messaggio
    Aggiungo che da questa mattina è stato rimosso su AlterVista anche php5.3
    Credo sia proprio per questo che gli è saltato il sito... nella 5.3 import_request_variables e session_register erano ancora supportate, nella 5.6 no (evidentemente il suo sito è stato scritto in php 4 ma non aveva incompatibilità dirette con la 5.3).

    Vorrei anche far notare che la sopracitata Wiki di Altervista è un bel pezzo indietro con le versioni supportate... non menziona neanche la 7.3 che ormai è disponibile da mesi, sarebbe ora di aggiustarla quella pagina.
    Ultima modifica di Sigilonline : 27-05-2020 alle ore 16.11.25

  7. #7
    personalthings non è connesso Utente giovane
    Data registrazione
    10-08-2013
    Messaggi
    41

    Predefinito

    Quindi neanche inserendo
    AddHandler av-php53 .php
    per aggirarlo posso risolvere momentaneamente il problema, giusto?

  8. #8
    L'avatar di alemoppo
    alemoppo non è connesso Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    18,603

    Predefinito

    Citazione Originalmente inviato da Sigilonline Visualizza messaggio
    Vorrei anche far notare che la sopracitata Wiki di Altervista è un bel pezzo indietro con le versioni supportate... non menziona neanche la 7.3 che ormai è disponibile da mesi, sarebbe ora di aggiustarla quella pagina.
    Aggiornato, grazie!

    Citazione Originalmente inviato da personalthings Visualizza messaggio
    Quindi neanche inserendo
    AddHandler av-php53 .php
    No, nemmeno. La vecchia versione di PHP non è più disponibile.

    Ciao!

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •